C*----------------------------------------------------------------------
C*
C*  NAME:
C*    geom.inc - Processing parameters for seismic processing benchmark 
C*               process GEOM
C*     
C*----------------------------------------------------------------------
C*   HISTORY:
C*
C*     Written:
C*       12/31/91 - C. Mosher, ARCO E&PT 
C*
C*     References:
C*       Seismic Benchmark Users Guide
C*
C*     Modified:
C*
C*----------------------------------------------------------------------
C
	integer       geom_start, geom_end
	real          sxy0(3),dsxy(3),dlsxy(3),rxy0(3),drxy(3)
	real          dcxy(3),dlcxy(3),azr,xv1,xv2
	integer       idbug,jmode,jngpn,jnlive
	integer       kgroup,kline,kgrp1,kgrpn,kgrpi
	integer       jns,jmsr,jntpg,jngpl,jnlin
	real          x0,y0,dx,dy,rot
	character*8   jtype
	common /geom/ geom_start
	common /geom/ sxy0,dsxy,dlsxy,rxy0,drxy,dcxy,dlcxy,azr,xv1,xv2
	common /geom/ idbug,jmode,jngpn,jnlive
	common /geom/ kgroup,kline,kgrp1,kgrpn,kgrpi
	common /geom/ jns,jmsr,jntpg,jngpl,jnlin
	common /geom/ x0,y0,dx,dy,rot
	common /geom/ jtype
	common /geom/ geom_end
	save   /geom/
