C*----------------------------------------------------------------------
C*
C*  NAME:
C*    stak.inc - Processing parameters for seismic processing benchmark 
C*               process STAK
C*     
C*----------------------------------------------------------------------
C*   HISTORY:
C*
C*     Written:
C*       01/11/92 - C. Mosher, ARCO E&PT 
C*
C*     References:
C*       Seismic Benchmark Users Guide
C*
C*     Modified:
C*
C*----------------------------------------------------------------------
C
	integer stak_start, stak_end
	integer idbug, nmid, jnmid, jntpn, jnlive, jline, ksa, jnlin
	real xmid0
	logical stacked
	common /stak/ stak_start
	common /stak/ idbug,nmid,jnmid,jntpn,jnlive,jline,ksa,jnlin
	common /stak/ xmid0,stacked
	common /stak/ stak_end
	save   /stak/
