C*----------------------------------------------------------------------
C*
C*  NAME:
C*    sysmem.inc - Max memory sizes for seismic benchmark runs
C*     
C*  SYNOPSIS:
C*    include 'sysmem.inc'
C*
C*  DESCRIPTION: 
C*    Defines the max size of trace, reserved, and working storage.
C*
C*----------------------------------------------------------------------
C*   DEPENDENCIES:
C*     None
C*
C*----------------------------------------------------------------------
C*   HISTORY:
C*
C*     Written:
C*       12/31/91 - C. Mosher, ARCO E&PT 
C*
C*     References:
C*       Seismic Benchmark Users Guide
C*
C*     Modified:
C*
C*----------------------------------------------------------------------
C
C  Sizes for medium benchmark runs
Cparameter (MAXOTR=10240000, MAXRA=10240000, MAXSA=10240000)
        parameter (MAXOTR=1280000, MAXRA=55000000, MAXSA=5000000)
