C*----------------------------------------------------------------------
C*
C*  NAME:
C*    vsbf.inc - Processing parameters SeisPerf process VSBF
C*     
C*----------------------------------------------------------------------
C*   HISTORY:
C*
C*     Written:
C*       07/07/92 - C. Mosher, ARCO E&PT 
C*
C*     References:
C*       SeisPerf Users Guide
C*
C*     Modified:
C*
C*----------------------------------------------------------------------
C
	integer vsbf_start, vsbf_end
	integer magic, idbug, handle, nvz, nvx, nvy
	integer mode, nfiles, ipath, icdp1, inccdp, line1, incline
	real vz1, vdz, vx1, vdx, vy1, vdy, a, b, c, d
	character*80 dsn, pathfile
	character*8 vtype
	common /vsbf/ vsbf_start
	common /vsbf/ magic, idbug, handle, nvz, nvx, nvy
	common /vsbf/ mode, nfiles, ipath, icdp1, inccdp, line1, incline
	common /vsbf/ vz1, vdz, vx1, vdx, vy1, vdy, a, b, c, d
	common /vsbf/ dsn, pathfile, vtype
	common /vsbf/ vsbf_end
	save   /vsbf/
