	character*80 path, buf
	character*8 gtype
	integer MAXTRC,LDIM
	parameter (MAXTRC=256,LDIM=4096)
	real xyz(6,MAXTRC),otr(LDIM,MAXTRC),attr(LDIM)
	integer handle,ier,len,jwsize,sbfopen,sbfrdatr,sbfclose

C  Get path name
	write (*,*) 'Enter path name: '
	read (*,'(a80)') path
	handle = sbfopen(path,'r ')
	if (handle.le.0) then
		write (*,*) 'sbfopen failed'
		stop
	endif
	
C  Get file info
	call sbfinfo( handle, ns, ntpg, ngpl, nlin )
	call sbfrinfo( handle, msf, x0, y0, dx, dy, rot, gtype )

C  Write out info
	write (*,9010) path,gtype,ns,ntpg,ngpl,nlin,msr,
     +    x0,y0,dx,dy,rot
 9010 format (/,' SBF Data Set Parameters:',/,
     +          ' Path name        : ',4x,a60,/,
     +          ' Group type       : ',4x,a4,/,
     +          ' Samples per Trace: ',i8,/,
     +          ' Traces per Group : ',i8,/,
     +          ' Groups per Line  : ',i8,/,
     +          ' Number of Lines  : ',i8,/,
     +          ' Sample Rate (ms) : ',i8,/,
     +          ' CDP Grid Orgin   : ',2f10.1,/,
     +          ' CDP Separation   : ',f10.1,/,
     +          ' Line Separation  : ',f10.1,/,
     +          ' Grid Rotation    : ',f10.1)

	if (ns.gt.ldim) then
		write (*,*) 'Trace size is too big'
		stop
	endif

  10  continue
	write (*,*) 'Enter attribute name, "end" to stop: '
	read (*,'(a80)') buf
	if (buf(1:3).eq.'end') stop

	ier = sbfrdatr( handle, buf, attr )

	if (ier.lt.0) then
		write (*,*) 'Attribute not found'
		goto 10
	endif

	len = ier/jwsize()
	write (*,*) 'Attribute length (words) = ', len

	write (*,9020) (attr(i),i=1,len)
 9020 format (' Attribute values: ',/,(5g12.4))
	goto 10

	end
